Settings 14 endpoints

GET /indexes/{indexUid}/settings/searchable-attributes

Get the searchable attributes of an index.

operationId: Settings_getSearchableAttributes

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/settings/searchable-attributes
PUT /indexes/{indexUid}/settings/searchable-attributes

Update the searchable attributes of an index.

info
If the provided index does not exist, it will be created.

operationId: Settings_updateSearchableAttributes

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Request Body

required
application/json
schema searchableAttributes
array of string

Responses

202

Accepted

401

Unauthorized

404

Not Found

PUT /indexes/{indexUid}/settings/searchable-attributes
DELETE /indexes/{indexUid}/settings/sortable-attributes

Reset the list of sortableAttributes of an index to its default value ([]).

operationId: Settings_resetSortableAttributes

Parameters

Name In Required Type Description
indexUid path required string

Index Unique Identifier

Responses

202

Accepted

401

Unauthorized

404

Not Found

DELETE /indexes/{indexUid}/settings/sortable-attributes
GET /indexes/{indexUid}/settings/sortable-attributes

Get the list of sortableAttributes of an index.

operationId: Settings_getSortableAttributes

Parameters

Name In Required Type Description
indexUid path required string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/settings/sortable-attributes
PUT /indexes/{indexUid}/settings/sortable-attributes

Update the list of sortableAttributes of an index.

info
In order to enable sorting capabilities on geographic data, the _geo field must be added as a sortableAttribute.

operationId: Settings_updateSortableAttributes

Parameters

Name In Required Type Description
indexUid path required string

Index Unique Identifier

Request Body

required
application/json
schema sortableAttributes
array of string

Responses

202

Accepted

401

Unauthorized

404

Not Found

PUT /indexes/{indexUid}/settings/sortable-attributes
DELETE /indexes/{indexUid}/settings/stop-words

Reset the list of stop-words of an index to its default value ([]).

operationId: Settings_resetStopWords

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

202

Accepted

401

Unauthorized

404

Not Found

DELETE /indexes/{indexUid}/settings/stop-words
GET /indexes/{indexUid}/settings/stop-words

Get the list of stop-words of an index.

operationId: Settings_getStopWords

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/settings/stop-words
PUT /indexes/{indexUid}/settings/stop-words

Update the list of stop-words of an index.

If a list of stop-words already exists it will be overwritten (replaced).

info
If the provided index does not exist, it will be created.

operationId: Settings_updateStopWords

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Request Body

required
application/json
schema stopWords
array of string

Responses

202

Accepted

401

Unauthorized

404

Not Found

PUT /indexes/{indexUid}/settings/stop-words
DELETE /indexes/{indexUid}/settings/synonyms

Reset the list of synonyms of an index to its default value ({}).

operationId: Settings_resetSynonyms

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

202

Accepted

401

Unauthorized

404

Not Found

DELETE /indexes/{indexUid}/settings/synonyms
GET /indexes/{indexUid}/settings/synonyms

Get the list of synonyms of an index.

operationId: Settings_getSynonyms

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/settings/synonyms
PUT /indexes/{indexUid}/settings/synonyms

Update the list of synonyms of an index. Synonyms are normalized.

info
If the provided index does not exist, it will be created.

operationId: Settings_updateSynonyms

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Request Body

required
application/json
schema synonyms
Property Type Required
wow array optional
logan array optional
wolverine array optional

Responses

202

Accepted

401

Unauthorized

404

Not Found

PUT /indexes/{indexUid}/settings/synonyms
DELETE /indexes/{indexUid}/settings/typo-tolerance

Reset the typo tolerance settings of an index to its default configuration.

operationId: Settings_resetTypoTolerance

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

202

Accepted

401

Unauthorized

404

Not Found

DELETE /indexes/{indexUid}/settings/typo-tolerance
GET /indexes/{indexUid}/settings/typo-tolerance

Get the typo tolerance configuration of an index.

operationId: Settings_getTypoToleranceConfiguration

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/settings/typo-tolerance
PATCH /indexes/{indexUid}/settings/typo-tolerance

Update the typo tolerance configuration of an index.

info
If the provided index does not exist, it will be created.

operationId: Settings_updateTypoToleranceConfiguration

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Request Body

required
application/json
schema typoTolerance
Property Type Required
enabled boolean optional
disableOnWords array optional
disableOnAttributes array optional
minWordSizeForTypos object optional
oneTypo integer optional
twoTypos integer optional

Responses

202

Accepted

401

Unauthorized

404

Not Found

PATCH /indexes/{indexUid}/settings/typo-tolerance

Snapshots 1 endpoints

POST /snapshots

Triggers a snapshot creation process. Once the process is complete, a snapshot is created in the snapshot directory. If the snapshot directory does not exist yet, it will be created.

operationId: Snapshots_createSnapshotProcess

Responses

202

Accepted

401

Unauthorized

POST /snapshots

Stats 3 endpoints

GET /indexes/{indexUid}/stats

Get stats of an index.

operationId: Stats_getIndexStats

Parameters

Name In Required Type Description
indexUid path optional string

Index Unique Identifier

Responses

200

Ok

401

Unauthorized

404

Not Found

GET /indexes/{indexUid}/stats
GET /metrics
operationId: Stats_getPrometheusMetrics

Responses

200

OK

GET /metrics
GET /stats

Get stats of all indexes.

operationId: Stats_getAllIndexesStats

Responses

200

Ok

401

Unauthorized

GET /stats

Tasks 4 endpoints

DELETE /tasks

Delete finished tasks

operationId: Tasks_deleteOperation

Parameters

Name In Required Type Description
uids query optional number

Permits to filter tasks by their uid. By default, when the uids query parameter is not set, all task uids are returned. It’s possible to specify several uids by separating them with the , character.

indexUids query optional string

Permits to filter tasks by their related index. By default, when indexUids query parameter is not set, the tasks of all the indexes are returned. It is possible to specify several indexes by separating them with the , character.

statuses query optional string

Permits to filter tasks by their status. By default, when statuses query parameter is not set, all task statuses are returned. It’s possible to specify several statuses by separating them with the , character.

types query optional string

Permits to filter tasks by their related type. By default, when types query parameter is not set, all task types are returned. It’s possible to specify several types by separating them with the , character.

canceledBy query optional string

Permits to filter tasks using the uid of the task that canceled them. It’s possible to specify several task uids by separating them with the , character.

beforeEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued before the given date. Supports RFC 3339 date format.

afterEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued after the given date. Supports RFC 3339 date format.

beforeStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started before the given date. Supports RFC 3339 date format.

afterStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started after the given date. Supports RFC 3339 date format.

beforeFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished before the given date. Supports RFC 3339 date format.

afterFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished after the given date. Supports RFC 3339 date format.

Responses

202

Accepted

400

Bad Request

DELETE /tasks
GET /tasks

Get all tasks

operationId: Tasks_getAll

Parameters

Name In Required Type Description
limit query optional number

Maximum number of results to return.

from query optional number

Fetch the next set of results from the given uid.

uids query optional number

Permits to filter tasks by their uid. By default, when the uids query parameter is not set, all task uids are returned. It’s possible to specify several uids by separating them with the , character.

indexUids query optional string

Permits to filter tasks by their related index. By default, when indexUids query parameter is not set, the tasks of all the indexes are returned. It is possible to specify several indexes by separating them with the , character.

statuses query optional string

Permits to filter tasks by their status. By default, when statuses query parameter is not set, all task statuses are returned. It’s possible to specify several statuses by separating them with the , character.

types query optional string

Permits to filter tasks by their related type. By default, when types query parameter is not set, all task types are returned. It’s possible to specify several types by separating them with the , character.

canceledBy query optional string

Permits to filter tasks using the uid of the task that canceled them. It’s possible to specify several task uids by separating them with the , character.

beforeEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued before the given date. Supports RFC 3339 date format.

afterEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued after the given date. Supports RFC 3339 date format.

beforeStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started before the given date. Supports RFC 3339 date format.

afterStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started after the given date. Supports RFC 3339 date format.

beforeFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished before the given date. Supports RFC 3339 date format.

afterFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished after the given date. Supports RFC 3339 date format.

Responses

200

OK

GET /tasks
GET /tasks/:taskUid

Get a task

operationId: Tasks_getTask

Parameters

Name In Required Type Description
taskUid path optional integer

The task identifier

Responses

200

OK

401

Unauthorized

404

Not Found

GET /tasks/:taskUid
POST /tasks/cancel

Cancel enqueued and/or processing tasks

operationId: Tasks_cancelOperation

Parameters

Name In Required Type Description
uids query optional number

Permits to filter tasks by their uid. By default, when the uids query parameter is not set, all task uids are returned. It’s possible to specify several uids by separating them with the , character.

indexUids query optional string

Permits to filter tasks by their related index. By default, when indexUids query parameter is not set, the tasks of all the indexes are returned. It is possible to specify several indexes by separating them with the , character.

statuses query optional string

Permits to filter tasks by their status. By default, when statuses query parameter is not set, all task statuses are returned. It’s possible to specify several statuses by separating them with the , character.

types query optional string

Permits to filter tasks by their related type. By default, when types query parameter is not set, all task types are returned. It’s possible to specify several types by separating them with the , character.

canceledBy query optional string

Permits to filter tasks using the uid of the task that canceled them. It’s possible to specify several task uids by separating them with the , character.

beforeEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued before the given date. Supports RFC 3339 date format.

afterEnqueuedAt query optional string

Permits to filter tasks based on their enqueuedAt time. Matches tasks enqueued after the given date. Supports RFC 3339 date format.

beforeStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started before the given date. Supports RFC 3339 date format.

afterStartedAt query optional string

Permits to filter tasks based on their startedAt time. Matches tasks started after the given date. Supports RFC 3339 date format.

beforeFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished before the given date. Supports RFC 3339 date format.

afterFinishedAt query optional string

Permits to filter tasks based on their finishedAt time. Matches tasks finished after the given date. Supports RFC 3339 date format.

Responses

202

Accepted

400

Bad Request

401

Unauthorized

POST /tasks/cancel

Version 1 endpoints

GET /version

Get version of Meilisearch.

operationId: Version_getMeilisearchVersion

Responses

200

Ok

401

Unauthorized

GET /version